@ ECHO OFF

mkdir temptest

testfiles\h5repacktst\%1\h5repacktst

cd h5repack%2\%1

REM
REM The tests
REM We use the files generated by h5repacktst
REM Each run generates "out.test*.h5" and the tool h5diff is used to
REM compare the input and output files
REM

REM copy files
h5repack%2 -i ..\..\testfiles\test1.h5 -o ..\..\temptest\out.test1.h5 
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test1.h5 ..\..\temptest\out.test1.h5
del ..\..\temptest\out.test1.h5
h5repack%2 -i ..\..\testfiles\test3.h5 -o ..\..\temptest\out.test3.h5 
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test3.h5 ..\..\temptest\out.test3.h5
del ..\..\temptest\out.test3.h5
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM TOOLTEST test5.h5

REM remove all  filters
REM TOOLTEST test4.h5 -f NONE
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f NONE
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM remove one filter
REM TOOLTEST test4.h5 -f dset_gzip:NONE
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_gzip:NONE
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM gzip
REM TOOLTEST test4.h5 -f dset1:GZIP=9
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:GZIP=9
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -f GZIP=1
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f GZIP=1
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM szip
REM TOOLTEST test4.h5 -f dset1:SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -f SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM shuffle
REM TOOLTEST test4.h5 -f dset1:SHUF
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:SHUF
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -f SHUF
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f SHUF
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM fletcher
REM TOOLTEST test4.h5 -f dset1:FLET
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:FLET
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -f FLET
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f FLET
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM layout chunk
REM TOOLTEST test4.h5 -l dset1:CHUNK=20x10
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:CHUNK=20x10
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l CHUNK=20x10
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l CHUNK=20x10
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM layout compact
REM TOOLTEST test4.h5 -l dset1:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM layout contiguous
REM TOOLTEST test4.h5 -l dset1:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM conversions
REM TOOLTEST test4.h5 -l dset_compact:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_compact:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_compact:CHUNK=2x5
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_compact:CHUNK=2x5
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_compact:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_compact:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_contiguous:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_contiguous:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_contiguous:CHUNK=3x6
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_contiguous:CHUNK=3x6
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_contiguous:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_contiguous:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_chunk:COMPA
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_chunk:COMPA
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_chunk:CONTI
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_chunk:CONTI
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset_chunk:CHUNK=18x13
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset_chunk:CHUNK=18x13
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM filters
REM TOOLTEST test4.h5 -f dset1:SHUF -f dset1,dset2:GZIP=6
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset1:SHUF -f dset1,dset2:GZIP=6
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -l dset1:CHUNK=20x10 -f dset1,dset2:SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -l dset1:CHUNK=20x10 -f dset1,dset2:SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM filter conversions
REM TOOLTEST test4.h5 -f dset_gzip:SZIP=8
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_gzip:SZIP=8
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -f dset_szip:GZIP=1
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_szip:GZIP=1
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5
REM TOOLTEST test4.h5 -f dset_all:GZIP=1
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f dset_all:GZIP=1
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM limit
REM TOOLTEST test4.h5 -f GZIP=1 -m 1024
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -f GZIP=1 -m 1024
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5

REM file
REM TOOLTEST test4.h5 -e ../testfiles/h5repack_info.txt
h5repack%2 -i ..\..\testfiles\test4.h5 -o ..\..\temptest\out.test4.h5 -e ..\..\testfiles\h5repack_info.txt
..\..\h5diff%2\%1\h5diff%2 ..\..\testfiles\test4.h5 ..\..\temptest\out.test4.h5
del ..\..\temptest\out.test4.h5


cd ..
cd ..

REM rmdir /s/q temptest